# isscalar

check if a variable is a scalar.

## Calling Sequence

    t=isscalar(x)

## Arguments

x

  scalar,vector, matrix, hypermatrix, list, array of structures or cells

t

  a boolean

## Description

`isscalar(`x`)` returns true if `x` is a scalar (if size(`x`) is 1). Note that `isscalar([])` returns false.

## Examples

    isscalar(ones(10,10))
    isscalar(1)
    isscalar("s")
    s = struct();
    isscalar(s) // Empty structure
    clear s
    s.a = %z;
    s.b = 2;
    isscalar(s) // Scalar structure
    clear s
    s(1,2).a = 3;
    s(1,3).b = %z;
    isscalar(s) // Row array of structures
    clear s
    s(2,1).a = "w";
    s(3,1).b = %t;
    isscalar(s) // Column array of structures

## See also

- ismatrix
- isrow
- iscolumn
- issquare
- isempty

## History

5.5.0
Function isscalar introduced.